<script setup>
    const start_hour = ref("00:00");
    const end_hour = ref("00:00");
    const emit = defineEmits(["update"]);

    function emitHours() {
        emit("update", [start_hour.value, end_hour.value]);
    }
    function updateStartHour(e) {
        start_hour.value = e.target.value;
        emitHours();
    }
    function updateEndHour(e) {
        end_hour.value = e.target.value;
        emitHours();
    }
</script>
<template>
    <div class="flex flex-col shadow-las bg-white rounded-[5px] space-y-1 px-2 pt-2 pb-1">
        <input type="time" :value="start_hour" class="min-w-0" @input="updateStartHour">
        <input type="time" :value="end_hour" class="min-w-0" @input="updateEndHour">
    </div>
</template>